Bug 948417 - System hangs on reboot/shutdown/Ctrl-Alt-Del when snoopy running.
Summary: System hangs on reboot/shutdown/Ctrl-Alt-Del when snoopy running.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: snoopy
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mosaab Alzoubi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-04 17:26 UTC by Bostjan Skufca
Modified: 2015-06-30 01:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:31:06 UTC


Attachments (Terms of Use)

Description Bostjan Skufca 2013-04-04 17:26:36 UTC
Description of problem:
This problem in described and discussed in detail in bug #745603:
https://bugzilla.redhat.com/show_bug.cgi?id=745603

Additional info:
I think we found the resolution. Preliminary tests on the very same system that  was used before are now successful - machine restarts and shuts down without problems.

It was noted that snoopy only opened logging descriptor, but it did not close it afterwards. Fix is in this commit:
https://github.com/a2o/snoopy/commit/38e0a086e773fe33ba0035807fc0c2e5cb6f3fbc

This has been discovered while doing analysis of an unrelated problem (reported by John VonAuckland:).

If someone is to retest snoopy, please use the git version, branch bugfix-mmgetstate:
https://github.com/a2o/snoopy/tree/bugfix-mmgetstate

b.

Comment 1 Fedora End Of Life 2013-09-16 13:03:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 2 Fedora Admin XMLRPC Client 2015-03-11 12:38:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2015-03-15 01:42:37 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2015-03-22 16:13:28 UTC
snoopy-2.2.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/snoopy-2.2.6-1.fc20

Comment 5 Fedora Update System 2015-03-22 16:18:48 UTC
snoopy-2.2.6-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/snoopy-2.2.6-1.fc22

Comment 6 Fedora Update System 2015-03-22 17:32:18 UTC
snoopy-2.2.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/snoopy-2.2.6-1.fc21

Comment 7 Fedora Update System 2015-03-22 17:43:24 UTC
snoopy-2.2.6-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/snoopy-2.2.6-1.el7

Comment 8 Fedora Update System 2015-03-25 20:05:06 UTC
Package snoopy-2.2.6-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing snoopy-2.2.6-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-1414/snoopy-2.2.6-1.el7
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-03-31 21:51:35 UTC
snoopy-2.2.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-03-31 22:00:23 UTC
snoopy-2.2.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-04-21 18:41:59 UTC
snoopy-2.2.6-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora End Of Life 2015-05-29 08:58:25 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-30 01:31:06 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.